SDL_RenamePath(3)

NAME
SDL_RenamePath - Rename a file or directory.

SYNOPSIS
#include <SDL3/SDL_filesystem.h>

bool SDL_RenamePath(const char *oldpath, const char *newpath);

DESCRIPTION
If the file at newpath already exists, it will replaced.

Note that this will not copy files across filesystems/drives/volumes, as that is a much more complicated (and possibly time-consuming) operation.

Which is to say, if this function fails, SDL_CopyFile() to a temporary file in the same directory as newpath, then SDL_RenamePath() from the temporary file to newpath and SDL_RemovePath() on oldpath might work for files. Renaming a non-empty directory across filesystems is dramatically more complex, however.

FUNCTION PARAMETERS

oldpath
    the old path.

newpath
    the new path.

RETURN VALUE
for more information.

AVAILABILITY
This function is available since SDL 3.2.0.